> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a recipient a new link

> Emails the recipient a new link.

The previous link, and any session opened from it, stops working.

Requires edit access.



## OpenAPI

````yaml post /signature/requests/{requestId}/recipients/{recipientId}/resend
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /signature/requests/{requestId}/recipients/{recipientId}/resend:
    post:
      tags:
        - Signatures
      summary: Send a recipient a new link
      description: |-
        Emails the recipient a new link.

        The previous link, and any session opened from it, stops working.

        Requires edit access.
      operationId: resendSignatureRequest
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: requestId
          in: path
        - schema:
            type: string
            minLength: 1
          required: true
          name: recipientId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      sent:
                        type: boolean
                        enum:
                          - true
                    required:
                      - sent
                required:
                  - data
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '410':
          description: 410 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.